1. bigballa4sho's Avatar
    Well I have an iPod touch 3g and my firmware's currently at 4.0.2. I'd like to downgrade it to 4.0.1 or below. I have tried going into DFU mode and shift-clicking restore then trying to restore using 3.1.3 and 3.1.2 firmware but that has not worked. In both attempts, I got a message saying something along the lines of this file is not compatible with this iPod. Can anybody help me downgrade my touch 3g to 4.0.1 or below?
    08-14-2010 11:08 PM
  2. rdiddy_25's Avatar
    U need to make sure u are using the correct firmware for ur iPod. Here's a link to a site to dl ur firmware

    Download All iPhone / iPod / iPad Apple Firmwares + iTunes + All Jailbreak tools - Mob2All
    08-15-2010 10:45 AM
LINK TO POST COPIED TO CLIPBOARD